import com.vaadin.ui.Label;
import com.vaadin.ui.VerticalLayout;

import at.sciencesoft.util.SharedComponents;
import at.sciencesoft.vaadin.MediaLoader.ImageSource;

import com.vaadin.server.StreamResource;
import com.vaadin.ui.Image;

import at.sciencesoft.ci.CIblob;

VerticalLayout vl = new VerticalLayout();
CIblob blob = data.get("binaryValue").get("value");
String mimeType = data.get("binaryValue").get("mime");
SharedComponents sc = null;
vl.addComponent(new Label(share.getUItext("sizeBin") + " " + blob.getData().length));
vl.addComponent(new Label("MIME-Type: " + mimeType));
if(mimeType.equals("image/jpg") || mimeType.equals("image/png")) {
	ImageSource is = new ImageSource(blob.getData());
	StreamResource sr = new StreamResource(is, "inMemory");
	Image image = new Image(null, sr);
	vl.addComponent(image);		
}
return vl;
	